/******************************************************************************
*  Name    : Configuration microcontrleur 12F683                             *
*  Author  : Nunes Dos Anjos Carlos                                           *
*  Notice  : Copyright (c) 2005 Nunes                                         *
*          : All Rights Reserved                                              *
*  Date    : 20/02/2013                                                       *
*  Version : 1.0                                                              *
*  Notes   :                                                                  *
*          :                                                                  *
*                                                                             *
******************************************************************************/

#if defined(__XC)
    #include <xc.h>         /* XC8 General Include File */
#elif defined(HI_TECH_C)
    #include <htc.h>        /* HiTech General Include File */
#endif


/******************************************************************************/
/* Configuration Bits                                                         */
/*                                                                            */
/* Refer to your Hi-Tech User Manual in the PICC installation directory       */
/* /doc folder for more information on filling in configuration bits.         */
/* In addition, configuration bit mnemonics can be found in your              */
/* PICC\version\include\<processor name>.h file for your device.  The XC8     */
/* compiler contains documentation on the configuration bit macros within     */
/* the compiler installation /docs folder in a file called                    */
/* pic18_chipinfo.html.                                                       */
/*                                                                            */
/* For additional information about what the hardware configurations mean in  */
/* terms of device operation, refer to the device datasheet.                  */
/*                                                                            */
/* A feature of MPLAB X is the 'Generate Source Code to Output' utility in    */
/* the Configuration Bits window.  Under Window > PIC Memory Views >          */
/* Configuration Bits, a user controllable configuration bits window is       */
/* available to Generate Configuration Bits source code which the user can    */
/* paste into this project.                                                   */
/*                                                                            */
/******************************************************************************/

/* TODO Fill in your config bits here.  Use the configuration bits generator. */


/** C O N F I G U R A T I O N   B I T S ******************************/

/*
; Protection du programme
; -----------------------
; CP_ON         protection totale
; CP_OFF        Pas de protection

; MCLRE (pin reset)
; -----------------
; MCLRE_ON      Fonction MCLR/ sur pin GP3
; MCLRE_OFF     MCLR/ en interne sur Vdd, GP3 fonction digital

; Protection de la EEprom
; -----------------------
; CPD_ON        Mmoire EEprom protge
; CPD_OFF       Mmoire EEprom dprotge

; Reset de la PIC si tension <4V (tension  verifier)
; ------------------------------
; BOREN_ON      Reset tension en service
;               Valide PWRT_ON automatiquement ( vrifier)
; BOREN_NSLEEP  BOR activ, dsactiv en sleep
; BOREN_SBOREN  BOR contrl par logiciel, bit SBOREN du registre PCON
; BOREN_OFF     Reset tension hors service

; Retard  la mise sous tension
; -----------------------------
; PWRTE_OFF      Dmarrage rapide
; PWRTE_ON       Dmarrage temporis

; Watchdog
; --------
; WDTE_ON        Watchdog en service
; WDTE_OFF       Watchdog hors service

; Oscillateur
; -----------
; EXTRC         Oscillateur  rseau RC: fonction CLKOUT sur pin GP4, RC sur GP5
; EXTRCIO       Fonction I/O sur pin GP4, RC sur GP5
; INTOSC        CLKOUT function sur pin GP4, fonction I/O sur GP5
; INTOSCIO      Fonction I/O sur pin GP4, fonction I/O sur GP5
; EC            Fonction I/O sur pin GP4, CLKIN sur GP5
; LP            Oscillateur basse vitesse (32<F<200Khz)
; XT            Oscilateur moyenne vitesse (200Khz<F<4Mhz)
; HS            Oscillateur haute vitesse (4Mhz<F<20Mhz)

; FCMEN contle dfaut horloge ( voir)
; ----------------------------
; FCMEN_ON      Fail-Safe Clock monitor activ
; FCMEN_OFF     Gestion dfaut horloge dsactive

; IESO Two speed start-up OST ( voir)
; ---------------------------
; IESO_ON       Mode interne externe swichover activ (dmarrage  deux vitesses d'horloge)
; IESO_OFF      Mode interne externe swichover dsactiv

*/

#pragma config FOSC = INTOSCIO  // Oscillator Selection bits (INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN)
#pragma config WDTE = OFF       // Watchdog Timer Enable bit (WDT enabled)
#pragma config PWRTE = ON       // Power-up Timer Enable bit (PWRT enabled)
#pragma config MCLRE = OFF      // MCLR Pin Function Select bit (MCLR pin function is digital input, MCLR internally tied to VDD)
#pragma config CP = OFF         // Code Protection bit (Program memory code protection is disabled)
#pragma config CPD = OFF        // Data Code Protection bit (Data memory code protection is disabled)
#pragma config BOREN = OFF      // Brown Out Detect (BOR disabled)
#pragma config IESO = OFF       // Internal External Switchover bit (Internal External Switchover mode is disabled)
#pragma config FCMEN = OFF      // Fail-Safe Clock Monitor Enabled bit (Fail-Safe Clock Monitor is disabled)
