/******************************************************************************/
/*Files to Include                                                            */
/******************************************************************************/

#if defined(__XC)
    #include <xc.h>         /* XC8 General Include File */
#elif defined(HI_TECH_C)
    #include <htc.h>        /* HiTech General Include File */
#endif

#include <stdint.h>         /* For uint8_t definition */
#include <stdbool.h>        /* For true/false definition */

#include "rc5.h"
#include "user.h"

/******************************************************************************/
/* Interrupt Routines                                                         */
/******************************************************************************/

/* Baseline devices don't have interrupts. Unfortunately the baseline detection 
 * macro is named _PIC12 */

#ifndef _PIC12

void interrupt isr(void)
{
    /* This code stub shows general interrupt handling.  Note that these
    conditional statements are not handled within 3 seperate if blocks.
    Do not use a seperate if block for each interrupt flag to avoid run
    time errors. */

#if 1

    /* TODO Add interrupt routine code here. */

    /* Determine which flag generated the interrupt */
    //if(<Interrupt Flag 1>)
    //{
    //    <Interrupt Flag 1=0>; /* Clear Interrupt Flag 1 */
    //}
    //else if (<Interrupt Flag 2>)
    //{
    //    <Interrupt Flag 2=0>; /* Clear Interrupt Flag 2 */
    //}
    //else
    //{
    //    /* Unhandled interrupts */
    //}

    if (PIE1bits.TMR2IE && PIR1bits.TMR2IF) it_tmr2_RC5();	// voir fichier RC5.c
    else if (PIE1bits.TMR1IE && PIR1bits.TMR1IF) it_tmr1_RC5();
    else if (PIE1bits.CCP1IE && PIR1bits.CCP1IF) it_ccp1_RC5();	// voir fichier RC5.c
    if (INTCONbits.T0IE && INTCONbits.T0IF) it_tmr0_time();

#endif

}
#endif


