/**********************************************************************
*  Name    : Fonctions pour SOMO-14D                                  *
*  Author  : Nunes Dos Anjos Carlos                                   *
*  Notice  : Copyright (c) 2005 Nunes                                 *
*          : All Rights Reserved                                      *
*  Date    : 06/01/2014                                               *
*  Version : 1.0                                                      *
*  Notes   : module de restitution sonore                             *
*          : pour le module Nunes                                     *
**********************************************************************/

/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#if defined(__XC)
    #include <xc.h>        /* XC8 General Include File */
#elif defined(HI_TECH_C)
    #include <htc.h>       /* HiTech General Include File */
#elif defined(__18CXX)
    #include <p18cxxx.h>   /* C18 General Include File */
#endif

#include "system.h"
#include "user.h"
#include "nunes-somo-14d.h"

/** Ecriture sur convertisseur D/A DAC7611 **************************/
void write_SOMO(unsigned int dataSOMO)
{
    unsigned char i;

    somo_clk = low;
    __delay_ms(2);

    for (i = 0;i < 16;i++) {
        if (dataSOMO & 0x8000) somo_sdi = high;
        else somo_sdi = low;
        __delay_us(100);
        somo_clk = high;
        if (i < 15) {
            __delay_us(100);
            somo_clk = low;
            dataSOMO <<= 1;
        }
    }
    __delay_ms(2);
}

/*
void SOMO_reveil(void) {
    unsigned char i;

    PORTAbits.RA5 = low;
    for (i = 0;i <= 15;i++) __delay_ms(20);
}
*/
