#ifndef __RC5_H
#define __RC5_H

/** D E C L A R A T I O N S **************************************************/
//#pragma idata
unsigned char compt_demibitRC5 = 0;
unsigned char flagRC5reset = 0;
unsigned int datatmpRC5 = 0;

union {
	unsigned int val;
	struct {
	unsigned char val_l;
	unsigned char val_h;
	};
	struct {
		unsigned cmd:8;
		unsigned adr:5;
		unsigned tgl:1;
		unsigned start:2;
	};
}dataRC5 = 0;

union {
	unsigned char val;
	struct {
  		unsigned rdy:1;		// drapeau pour signaler que le code RC5 est disponible
		unsigned tgl:1;
  		unsigned demibit:1;	// drapeau pour contrler les bits biphass
		unsigned error:1;
		unsigned bit4:1;
		unsigned bit5:1;
  		unsigned bit6:1;
  		unsigned bit7:1;
	};
}flagsRC5 = 0;

//#pragma udata
unsigned char getRC5_cmd;


/** D E F I N I T I O N S ****************************************************/
// pour Fosc @ 32Mhz
#define tmax_demibit2_RC5 3616	// dure max pour le bit de start est 1778us + 30us
#define tmini_demibit2_RC5 3460	// dure mini pour le 1/2 bit de start est 1778us - 48us
#define val0_sendRC5_TMR1L 0x20 // dure de 889us 0x0e
#define val0_sendRC5_TMR1H 0xf9	// dure de 889us
#define	val1_sendRC5_TMR1L 0x32	// dure de 88,886ms
#define	val1_sendRC5_TMR1H 0xa9	// dure de 88,886ms
#define val2_getRC5_TMR1L 0x88	// dure de 1/4 bit 444us pour se positionner au milieu du 1/2 bit
#define	val3_getRC5_TMR1H 0xfc	// dure de 1/4 bit 444us pour se positionner au milieu du 1/2 bit
#define pr2val 126      // le tmr2 compte (126+1)*(14*1)*0,500s = 889us valeur dbordement (126)
#define init_timer2 0b01101000	// posd.  14, prd.  1 , timer OFF, pour le registre de contrle
#define in_IR GPIObits.GP2
#define DataRdyRC5 flagsRC5.rdy

// Macros



/** E X T E R N S ************************************************************/
// declare variables accessible by other files.


/** P R O T O T Y P E S ******************************************************/
unsigned char getRC5(unsigned char *reset, unsigned char *outcmd, unsigned char adr, unsigned char incmd, unsigned char nb);
void resetRC5(unsigned char *t, unsigned char val_400ms, unsigned char *reset);
void sendRC5(unsigned int code);
inline void it_tmr2_RC5(void);
inline void it_ccp1_RC5(void);
inline void it_tmr1_RC5(void);

#endif
